Bug 7809 - [UPDATE REQUEST] drakxtools-14.77
: [UPDATE REQUEST] drakxtools-14.77
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-22 15:23 MSK by m.voznesensky
Modified: 2017-06-06 04:17 MSD (History)
2 users (show)

See Also:
RPM Package: drakxtools-14.76-2-rosa2016.1.x86_64.rpm
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description m.voznesensky 2017-03-22 15:23:26 MSK
Advisory:

Add opportunity connect to FreeIPA

rosa2014.1:
i586: https://abf.io/build_lists/2856974
x86_64: https://abf.io/build_lists/2856975

rosa2016.1:
i586: https://abf.io/build_lists/2856976
x86_64: https://abf.io/build_lists/2856977
Comment 1 Vladimir Potapov 2017-03-28 14:45:39 MSD
Оно работает!
Есть несколько замечаний
1) Сейчас дефолтный выбор аутентификации (локальный файл) предпоследний. Это некрасиво, пусть он и останется последним, а предпоследним будет IPA
2) После ввода имени сервера домена нужно бы проверять его пингом. Если пинг проходит - идти дальше, если нет - предлагать настроить сеть правильно.
Предлагаю сообщение
"Нет связи с сервером домена. Сконфигурируйте сеть так, чтобы с текущего клиента была возможна связь с сервером домена по его имени. Для этого рекомендуется установить в настройках сетевого соединения сервер домена как DNS-сервер и  домен поиска  - ваш домен"
3) Лог выводить предлагаю все же свернутым, т.е. должно говорить по-русски "Рабочая станция успешно подключена к домену <название>" или "Ошибка при подключении рабочей станции к домену <название>" и кнопка "подробнее".
Т.е. если парсим "Client configuration complete." то все ок, иначе ошибка, в любом случае кнопка "подробнее".
4) После успешного подключения хорошо бы закрывать все окна, а то опять возвращаешься в диалог подключения.
5) Если подключение уже было установлено, хорошо бы при повторном запуске аутентификации сохранять уже установленные переменные. Текущий мастер делает так для подключения к домену AD - т.е. запускаешь еще раз после подключения, а там уже установлен переключатель правильно, имя домена прописано. Можно подсмотреть как там сделано и сделать так же.
Comment 2 m.voznesensky 2017-04-03 11:17:52 MSD
Advisory:

Update to version 14.77.
IPA paragraph moved in the penultimate place
Close program then press button Ok after IPA connected established 

rosa2014.1:
i586: https://abf.io/build_lists/2865046
x86_64: https://abf.io/build_lists/2864465

rosa2016.1:
i586: https://abf.io/build_lists/2865042
x86_64: https://abf.io/build_lists/2865043
Comment 3 Vladimir Potapov 2017-04-05 21:09:39 MSD
(In reply to comment #2)
> Close program then press button Ok after IPA connected established 
not work :-(
Comment 4 m.voznesensky 2017-04-11 10:39:03 MSD
Advisory:

Update release 14.77.
Show success window after success connection and close program the click Ok

rosa2014.1:
i586: https://abf.io/build_lists/2868244
x86_64: https://abf.io/build_lists/2868245

rosa2016.1:
i586: https://abf.io/build_lists/2868246
x86_64: https://abf.io/build_lists/2868247
Comment 5 Vladimir Potapov 2017-05-04 08:07:51 MSD
Осталась одна проблема - после установки соединения нужна перезагрузка, без нее (просто при перелогинивании) некорректно создается папка пользователя и он получает черный экран при входе в систему.
Comment 6 m.voznesensky 2017-05-10 12:57:12 MSD
Advisory:

Added opportunity close program or reboot computer after established connection. Change Russian translate

rosa2014.1:
i586: https://abf.io/build_lists/2870990
x86_64: https://abf.io/build_lists/2870991

rosa2016.1:
i586: https://abf.io/build_lists/2870988
x86_64: https://abf.io/build_lists/2870989
Comment 7 Vladimir Potapov 2017-06-02 15:10:50 MSD
The update is sent to expanded testing
**************************************
Comment 8 Vladimir Potapov 2017-06-05 18:46:02 MSD
drakxtools-14.77-3
rosa2014.1:
i586: https://abf.io/build_lists/2870990
x86_64: https://abf.io/build_lists/2870991

rosa2016.1:
i586: https://abf.io/build_lists/2870988
x86_64: https://abf.io/build_lists/2870989
************************ Advisory **********************
Add opportunity connect to FreeIPA.
Added opportunity close program or reboot computer after established connection. Change Russian translate
********************************************************
QA Verified